Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000415Core InformScenespublic2010-11-15 02:552011-01-10 11:15
Reporteri-k 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000415: Compiler crashes with code 11 when interlinking scenes with external conditions
DescriptionCannot link scenes so that scene1 ends when scene2 begins if scene2 also begins when scene1 ends -- when either one of the scenes also has a trigger outside of the scene machinery. The compiler fails to give a problem message and crashes with code 11.
Minimal Source Text To Reproduce
R1 is a room.
R2 is north of R1.

Scene1 is a scene.
Scene1 begins when play begins.
Scene1 ends when the location is R2.
Scene1 ends when Scene2 begins.

Scene2 is a scene.
Scene2 begins when Scene1 ends.
Additional InformationIf no external conditions are given for endings/beginnings, compiles with no errors.

Compiles and has the desired effect in 6E72 — the crash might have something to do with issue 0000294 being fixed (the 'scene cannot trigger itself' -bug).
TagsNo tags attached.
Effect(critical) Compiler crashes
Attached Files

- Relationships

-  Notes
(0000848)
graham (administrator)
2010-11-21 08:38

Yes, the checking here went from too tight to too loose. It's now just right.

- Issue History
Date Modified Username Field Change
2010-11-15 02:55 i-k New Issue
2010-11-15 08:42 jmcgrew Status new => acknowledged
2010-11-16 10:08 EmacsUser Status acknowledged => confirmed
2010-11-21 08:38 graham Note Added: 0000848
2010-11-21 08:38 graham Status confirmed => resolved
2010-11-21 08:38 graham Resolution open => fixed
2010-11-21 08:38 graham Assigned To => graham
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker